JUCE: LEDGrid::Renderer Struct Reference

JUCE

Public Types | Public Member Functions | List of all members
LEDGrid::Renderer Struct Referenceabstract

An interface to use for LEDGrid rendering. More...

Inheritance diagram for LEDGrid::Renderer:

## Public Types
using | Ptr = ReferenceCountedObjectPtr< Renderer >
| The Renderer class is reference-counted, so always use a Renderer::Ptr when you are keeping references to them. More...

## Public Member Functions
| ~Renderer () override
virtual void | renderLEDGrid (LEDGrid &)=0
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count. More...
void | decReferenceCount () noexcept
| Decreases the object's reference count. More...
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count. More...
int | getReferenceCount () const noexcept
| Returns the object's current reference count. More...

## Additional Inherited Members
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero). More...
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
virtual | ~ReferenceCountedObject ()
| Destructor. More...
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object. More...

## Detailed Description

An interface to use for LEDGrid rendering.

## Member Typedef Documentation

## ◆ Ptr

using LEDGrid::Renderer::Ptr = ReferenceCountedObjectPtr<Renderer>

The Renderer class is reference-counted, so always use a Renderer::Ptr when you are keeping references to them.

## Constructor & Destructor Documentation

## ◆ ~Renderer()

LEDGrid::Renderer::~Renderer | ( |  | ) |
| override

## Member Function Documentation

## ◆ renderLEDGrid()

virtual void LEDGrid::Renderer::renderLEDGrid | ( | LEDGrid & |  | ) |
| pure virtual

The documentation for this struct was generated from the following file:

- juce_LEDGrid.h